Package ru.bitel.oss.kernel.directories.address.common.bean

# Class City

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix
ru.bitel.oss.kernel.directories.address.common.bean.City

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class City extends AddressPrefixSuffix

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `City()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static City`
  `from(City city)`
  `Country`
  `getCountry()`
  `int`
  `getCountryId()`
  `int`
  `getPositionIndex()`
  `City`
  `setCountry(Country country)`
  `City`
  `setCountryId(int countryId)`
  `City`
  `setId(int id)`
  Устанавливает id объекта
  `City`
  `setPositionIndex(int positionIndex)`
  `City`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `City`
  `setTitlePrefix(String titlePrefix)`
  `City`
  `setTitleSuffix(String titleSuffix)`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.common.bean.AddressPrefixSuffix

  `getTitlePrefix, getTitleSuffix, toTitle`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### City

    public City()

- ## Method Details

  - ### getCountryId

    public int getCountryId()

  - ### setCountryId

    public City setCountryId(int countryId)

  - ### getPositionIndex

    public int getPositionIndex()

  - ### setPositionIndex

    public City setPositionIndex(int positionIndex)

  - ### getCountry

    public Country getCountry()

  - ### setCountry

    public City setCountry(Country country)

  - ### setTitlePrefix

    public City setTitlePrefix(String titlePrefix)
    Overrides:
      `setTitlePrefix` in class `AddressPrefixSuffix`

  - ### setTitleSuffix

    public City setTitleSuffix(String titleSuffix)
    Overrides:
      `setTitleSuffix` in class `AddressPrefixSuffix`

  - ### setTitle

    public City setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setId

    public City setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### from

    public static City from(City city)